package com.example.Models.Program;

import com.example.Exceptions.BaseException;

import javafx.util.Pair;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Hashtable;

public interface ISemaphoreTable {
    public Integer add(Pair<Integer,ArrayList<Integer>> value);
    public void update(Integer key, Pair<Integer,ArrayList<Integer>> value) throws BaseException;
    public Pair<Integer,ArrayList<Integer>> get(Integer key) throws BaseException;
    public boolean contains (Integer key);
    public Collection<Pair<Integer,ArrayList<Integer>>> values();
    public Hashtable<Integer, Pair<Integer,ArrayList<Integer>>> getDictionary();
}
